Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1319)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1320)
@@ -20,4 +20,8 @@
 ! Current revisions:
 ! -----------------
+! ONLY-attribute added to USE-statements,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 !
@@ -46,46 +50,4 @@
 ! +z0h, z0h_av
 !
-! 790 2011-11-29 03:11:20Z raasch
-! bugfix: output of 'ql' also if cloud droplets are used
-!
-! 776 2011-10-31 08:02:51Z heinze
-! bugfix: increase binary_version due to last commit
-!
-! 771 2011-10-27 10:56:21Z heinze
-! +lpt
-!
-! 759 2011-09-15 13:58:31Z raasch
-! cpu measurement and file opening moved to main program
-!
-! 587 2010-10-27 08:36:51Z helmke
-! nothing done but text written for "Current revisions" by mistake
-!
-! 367 2009-08-25 08:35:52Z maronga
-! +shf_av, qsws_av
-!
-! 145 2008-01-09 08:17:38Z raasch
-! write_var_list is only called for pe0, -dopr_time_count,
-! hom_sum moved, volume_flow_area, volume_flow_initial moved to write_var_list,
-! writing of old profil parameters (cross_..., dopr_crossindex, profile_***)
-! removed
-!
-! 102 2007-07-27 09:09:17Z raasch
-! +uswst, uswst_m, vswst, vswst_m
-!
-! 96 2007-06-04 08:07:41Z raasch
-! +rho_av, sa, sa_av, saswsb, saswst
-!
-! 75 2007-03-22 09:54:05Z raasch
-! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
-! z0_av, moisture renamed humidity
-!
-! 19 2007-02-23 04:53:48Z raasch
-! +qswst, qswst_m, tswst, tswst_m
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.21  2006/08/04 15:05:11  raasch
-! +iran, iran_part
-!
 ! Revision 1.1  1998/03/18 20:20:21  raasch
 ! Initial revision
@@ -97,19 +59,37 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  e, kh, km, p, pt, q, ql, qc, nr, nrs, nrsws, nrswst, qr, qrs,   &
+               qrsws, qrswst, qs, qsws, qswst, sa, saswsb, saswst, rif,        &
+               rif_wall, shf, ts, tswst, u, u_m_l, u_m_n, u_m_r, u_m_s, us,    &
+               usws, uswst, v, v_m_l, v_m_n, v_m_r, v_m_s, vpt, vsws, vswst,   &
+               w, w_m_l, w_m_n, w_m_r, w_m_s, z0, z0h
+        
     USE averaging
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE indices
-    USE particle_attributes
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  prr, precipitation_amount
+        
+    USE control_parameters,                                                    &
+        ONLY:  iran, humidity, passive_scalar, cloud_physics, cloud_droplets,  &
+               icloud_scheme, precipitation, ocean, topography
+                
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nys, nyn, nzb, nzt
+        
+    USE particle_attributes,                                                               &
+        ONLY:  iran_part
+        
     USE pegrid
-    USE profil_parameter
-    USE random_function_mod
-    USE statistics
+    
+    USE random_function_mod,                                                               &
+        ONLY:  random_iv, random_iy
+        
+    USE statistics,                                                            &
+        ONLY:  spectrum_x, spectrum_y
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=10) ::  binary_version
+    CHARACTER (LEN=10) ::  binary_version   !: 
 
 
@@ -165,5 +145,5 @@
     ENDIF
     IF ( ALLOCATED( precipitation_rate_av ) )  THEN
-       WRITE ( 14 )  'precipitation_rate_a';  WRITE ( 14 )  &
+       WRITE ( 14 )  'precipitation_rate_a';  WRITE ( 14 )                     &
                                                            precipitation_rate_av
     ENDIF
@@ -333,2 +313,3 @@
 
  END SUBROUTINE write_3d_binary
+ 
